PostgreSQL Default Unpassworded Account

High Nessus Plugin ID 10483

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.9

Synopsis

The remote database server can be accessed without a password.

Description

It is possible to connect to the remote PostgreSQL database server using an unpassworded account. This may allow an attacker to launch further attacks against the database.

Solution

Log into this host and set a password for any affected accounts using the 'ALTER USER' command.

In addition, configure the service by editing the file 'pg_hba.conf' to require a password (or Kerberos) authentication for all remote hosts that have legitimate access to this service and to require a password locally using the line 'local all password'.

Plugin Details

Severity: High

ID: 10483

File Name: postgresql_unpassworded.nasl

Version: 1.24

Type: remote

Family: Databases

Published: 2000/07/27

Updated: 2018/08/13

Dependencies: 26024

Risk Information

Risk Factor: High

VPR Score: 5.9

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/a:postgresql:postgresql

Exploit Available: true

Exploit Ease: Exploits are available

Exploited by Nessus: true

Vulnerability Publication Date: 1999/07/17

Exploitable With

Metasploit (SNMP Community Scanner)

Reference Information

CVE: CVE-1999-0508